Bug 866797 - [oVirt-node] The grub.cfg missed the content of the backup version after upgraded from old to latest version via TUI/cmdline
[oVirt-node] The grub.cfg missed the content of the backup version after upgr...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Joey Boggs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 03:32 EDT by haiyang,dong
Modified: 2016-04-26 17:29 EDT (History)
13 users (show)

See Also:
Fixed In Version: 2.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 17:49:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2012-10-16 03:32:41 EDT
Description of problem:
The grub.cfg missed the content of the backup version after upgraded ovirt-node-iso from old version to latest version via TUI/cmdline.
 
Version-Release number of selected component (if applicable):
ovirt-node-iso-2.5.999-999.20121014024135git04ff9c9.402.fc17.iso

How reproducible:
100%

Steps to Reproduce:
1. Install oVirt Node Hypervisor 2.5.999-999.20120913124146gitb90b66d.344.fc17.
2. Upgrade oVirt Node to the latest version(ovirt-node-iso-2.5.999-999.20121014024135git04ff9c9.402.fc17) via TUI.
3. After upgrade successful, reboot it.

Actual results:
After step 3, there only the latest version can be selected to boot,missed the backup version.
After boot the latest version successfully,
Press F2 drop to shell on the oVirt Node side:
[root@localhost admin]# cat /run/initramfs/live/grub2/grub.cfg

#default saved
set timeout=5
#hiddenmenu
menuentry "oVirt Node Hypervisor 2.5.999-999.20121014024135git04ff9c9.402.fc17" {
set root=(hd0,2)
linux /vmlinuz0 root=live:LABEL=Root ro rootfstype=auto rootflags=ro ksdevice=bootif rd.dm=0 elevator=deadline lang= nomodeset rd_NO_LVM rd.md=0 rd.luks=0 crashkernel=512M-2G:64M,2G-:128M
initrd /initrd0.img

[root@localhost admin]# ls -la /dev/disk/by-label/
total 0
drwxr-xr-x. 2 root root 200 Oct 16 03:30 .
drwxr-xr-x. 5 root root 100 Oct 16 03:30 ..
lrwxrwxrwx. 1 root root  10 Oct 16 03:30 CONFIG -> ../../dm-7
lrwxrwxrwx. 1 root root  10 Oct 16 03:30 DATA -> ../../dm-9
lrwxrwxrwx. 1 root root  10 Oct 16 03:30 LOGGING -> ../../dm-8
lrwxrwxrwx. 1 root root  10 Oct 16 03:30 _ovirt-node-iso -> ../../dm-5
lrwxrwxrwx. 1 root root   9 Oct 16 03:30 rhevh-6.3-20120926.0 -> ../../sr0
lrwxrwxrwx. 1 root root  10 Oct 16 03:31 Root -> ../../dm-2
lrwxrwxrwx. 1 root root  10 Oct 16 03:31 RootBackup -> ../../dm-3
lrwxrwxrwx. 1 root root  10 Oct 16 03:30 SWAP -> ../../dm-6


[root@localhost admin]# mount
...........
/dev/mapper/35000c500461d9fffp2 on /run/initramfs/live type ext2 (ro,relatime,se
clabel)
............

[root@localhost admin]# mount /dev/mapper/35000c500461d9fffp3 /mnt
[root@localhost admin]# ls /mnt/
grub2/       initrd0.img  LiveOS/      lost+found/  version      vmlinuz0
[root@localhost admin]# ls /mnt/

So that the backup version wasn't deleted after upgraded ovirt-node-iso via TUI, but couldn't boot the backup version.

Expected results:
After step 3, it should have two build version(the latest version and the backup version) that can be selected to boot

Additional info:
-----

Note You need to log in before you can comment on or make changes to this bug.